Public Attributes | List of all members
ble_gap_ext_conn_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Connection parameters. More...

`#include <ble_gapm.h>`

## Public Attributes
uint16_t | conn_intv_min
| Minimum value for the connection interval (in unit of 1.25ms). More...
uint16_t | conn_intv_max
| Maximum value for the connection interval (in unit of 1.25ms). More...
uint16_t | conn_latency
| Slave latency. More...
uint16_t | supervision_to
| Link supervision timeout (in unit of 10ms). More...
uint16_t | ce_len
| The length of connection event needed for this LE connection. More...

## Detailed Description

Connection parameters.

Definition at line 690 of file ble_gapm.h.

## Member Data Documentation

## ◆ ce_len

uint16_t ble_gap_ext_conn_param_t::ce_len

The length of connection event needed for this LE connection.

Range: 0x0002 to 0xFFFF, Unit:0.625 ms, Time Range: 1.25 ms to 40.9s.

Definition at line 696 of file ble_gapm.h.

## ◆ conn_intv_max

uint16_t ble_gap_ext_conn_param_t::conn_intv_max

Maximum value for the connection interval (in unit of 1.25ms).

Shall be greater than or equal to conn_intv_min value. Allowed range is 7.5 ms to 4s.

Definition at line 693 of file ble_gapm.h.

## ◆ conn_intv_min

uint16_t ble_gap_ext_conn_param_t::conn_intv_min

Minimum value for the connection interval (in unit of 1.25ms).

Shall be less than or equal to conn_intv_max value. Allowed range is 7.5 ms to 4s.

Definition at line 692 of file ble_gapm.h.

## ◆ conn_latency

uint16_t ble_gap_ext_conn_param_t::conn_latency

Slave latency.

Number of events that can be missed by a connected slave device.

Definition at line 694 of file ble_gapm.h.

## ◆ supervision_to

uint16_t ble_gap_ext_conn_param_t::supervision_to

Link supervision timeout (in unit of 10ms).

Allowed range is 100 ms to 32s.

Definition at line 695 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h